plugins {
    application
    kotlin("jvm") version "1.9.21"
    id("org.jlleitschuh.gradle.ktlint") version "12.0.3"
    id("com.github.johnrengelman.shadow") version "8.1.1"
}

group = "net.koval.teamcity-executors-test-task"
version = System.getenv("BACKUP_VERSION")

repositories {
    mavenCentral()
}

dependencies {
    implementation("aws.sdk.kotlin:s3:1.0.25")
    implementation("org.slf4j:slf4j-simple:2.0.9") // AWS SDK wants a SLF4J provider.
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-core:1.7.3")
    implementation("com.github.ajalt.clikt:clikt:4.2.1")
    testImplementation("org.jetbrains.kotlin:kotlin-test")
}

tasks.test {
    useJUnitPlatform()
}
kotlin {
    jvmToolchain(17)
}
application {
    mainClass.set("MainKt")
}