package ziputils

/**
 * Represents a ZIP ZIP64 extra field record (ID 0x0001).
 */
internal class Zip64ExtraFieldRecord(
    size: UShort,
    val uncompressedSize: ULong?,
    val compressedSize: ULong?,
    val localHeaderOffset: ULong?,
    val disk: UInt?,
) : ExtraFieldRecord(ID, size) {
    companion object {
        const val ID: UShort = 0x0001U
    }
}